# Class NmrPlugin

java.lang.Object
org.openscience.jmol.app.janocchio.NmrPlugin

All Implemented Interfaces:
  `JmolPlugin`

public class NmrPlugin extends Object implements JmolPlugin

## Constructor Summary

Constructors
Constructor
Description
`NmrPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`ImageIcon`
`getMenuIcon()`
`String`
`getMenuText()`
`String`
`getName()`
`String`
`getVersion()`
`String`
`getWebSite()`
`boolean`
`isStarted()`
`void`
`notifyCallback(CBK type, Object[] data)`
`void`
`setVisible(boolean b)`
`void`
`start(JFrame frame, Viewer vwr, Map<String,Object> jmolOptions)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NmrPlugin

public NmrPlugin()

## Method Details

### start

public void start(JFrame frame, Viewer vwr, Map<String,Object> jmolOptions)

Specified by:
  `start` in interface `JmolPlugin`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `JmolPlugin`

### getVersion

public String getVersion()

Specified by:
  `getVersion` in interface `JmolPlugin`

### getName

public String getName()

Specified by:
  `getName` in interface `JmolPlugin`

### setVisible

public void setVisible(boolean b)

Specified by:
  `setVisible` in interface `JmolPlugin`

### notifyCallback

public void notifyCallback(CBK type, Object[] data)

Specified by:
  `notifyCallback` in interface `JmolPlugin`

### getMenuIcon

public ImageIcon getMenuIcon()

Specified by:
  `getMenuIcon` in interface `JmolPlugin`

### getMenuText

public String getMenuText()

Specified by:
  `getMenuText` in interface `JmolPlugin`

### isStarted

public boolean isStarted()

Specified by:
  `isStarted` in interface `JmolPlugin`

### getWebSite

public String getWebSite()

Specified by:
  `getWebSite` in interface `JmolPlugin`